Skip to main content
Version: v2

Categories

What are categories?​

Categories in BAV are related to how the respondent is asked their relationship to a brand in three sections only:

  • Usage
  • Preference
  • Recommendation

All other BAV scores are the same across categories, which is a fundamental part of BAV's category-agnostic model.

These categories are therefore, a way to relate a brand to usage and not a way to define what a brand is. For example, you might be interested to know how respondents see and use Google as both a search engine and advertiser, which would be two distinct categories, yet does not attempt to classify what Google objectively is.

This also means that the amount of brands in a category may change slightly across years and greatly across markets. Not all categories are available in all years and markets.

List Categories​

To list all of the categories, use the list endpoint:

GET /api/v2/categories

Get a Category​

You may also directly retrieve a category's details if you already have its system ID.

GET /api/v2/categories/123

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The global name of the category.
created_atstring❌✅✅A datetime string when this category was first created.
updated_atstring(updated since)✅✅A datetime string when this category was last updated.

Relationship Response Schema​

The slim relationship schema is used when the category is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the category.
namestringThe primary name of the category.

Additional Filters​

For convenience, we have a set of additional filters for brands that are not available in the default filters or are part of the columns. These are:

  • sectors - A comma-separated list of sector IDs. This will filter the categories to only those in the given sectors.

Relationships & includes​

By default, relationships not included. See the includes section for more information on how this works. The following relationships are available:

  • sector - The sector that the category belongs to.

Searching​

This endpoint supports searching. See the searching section for more details.